<template>
  <header>
    <nav>
      <h1 v-if="isLoggedIn">
        <base-button @click="logout">Wyloguj się</base-button>
      </h1>
      <h1 v-else>
        <router-link to="/auth">Zaloguj się</router-link>
      </h1>
      <!--      <ul>-->
      <!--        <li v-if="isLoggedIn">-->
      <!--          <h1>Logout</h1>-->
      <!--        </li>-->
      <!--        <li v-else>-->
      <!--          <router-link to="/auth">Zaloguj się</router-link>-->
      <!--        </li>-->
      <!--      </ul>-->
      <!--      <h1 v-if="isLoggedIn">Login</h1>-->
      <!--      <h1 v-else>Logout</h1>-->
    </nav>
  </header>
</template>

<script setup>
import { computed } from "vue";
import { useStore } from "vuex";

const store = useStore();

function logout() {
  store.dispatch("logout");
}

const isLoggedIn = computed(function () {
  return store.getters.isAuthenticated;
});
</script>

<style scoped>
header {
  width: 100%;
  height: 5rem;
  background-color: #3d008d;
  display: flex;
  justify-content: center;
  align-items: center;
}

header a {
  text-decoration: none;
  color: #f391e3;
  display: inline-block;
  padding: 0.75rem 1.5rem;
  border: 1px solid transparent;
}

a:active,
a:hover,
a.router-link-active {
  border: 1px solid #f391e3;
}

h1 {
  margin: 0;
}

h1 a,
h1 button {
  color: white;
  margin: 0;
}

h1 a:hover,
h1 a:active,
h1 a.router-link-active {
  border-color: transparent;
}

header nav {
  width: 90%;
  margin: auto;
  display: flex;
  justify-content: end;
  align-items: end;
}

</style>
